edu.isi.pegasus.planner.catalog.transformation.client

## Class TCDelete

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.client.Client
  - - edu.isi.pegasus.planner.catalog.transformation.client.TCDelete

    public class TCDelete
    extends Client

This is a TCClient class which handles the Delete Operations.

Version:
  $Revision$
Author:
  Gaurang Mehta gmehta@isi.edu

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.catalog.transformation.client.Client

`file, isoldformat, isxml, lfn, mLogger, name, namespace, pfn, profile, profiles, resource, system, systemstring, tc, trigger, type, version`

### Constructor Summary

Constructors
Constructor and Description
`TCDelete(TransformationCatalog tc, LogManager mLogger, java.util.Map argsmap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doDelete()`

### Methods inherited from class edu.isi.pegasus.planner.catalog.transformation.client.Client

`convertException, fillArgs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TCDelete

    public TCDelete(TransformationCatalog tc,
                    LogManager mLogger,
                    java.util.Map argsmap)

### Method Detail

#### doDelete

    public void doDelete()